All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
small_matrix.hpp File Reference

Implementation of a routines for small matrices (helper for SPAI). Experimental. More...

`#include <utility>`
`#include <iostream>`
`#include <fstream>`
`#include <string>`
`#include <algorithm>`
`#include <vector>`
`#include <math.h>`
`#include <map>`
`#include "boost/numeric/ublas/vector.hpp"`
`#include "boost/numeric/ublas/matrix.hpp"`
`#include "boost/numeric/ublas/matrix_proxy.hpp"`
`#include "boost/numeric/ublas/vector_proxy.hpp"`
`#include "boost/numeric/ublas/storage.hpp"`
`#include "boost/numeric/ublas/io.hpp"`
`#include "boost/numeric/ublas/lu.hpp"`
`#include "boost/numeric/ublas/triangular.hpp"`
`#include "boost/numeric/ublas/matrix_expression.hpp"`
`#include "boost/numeric/ublas/detail/matrix_assign.hpp"`
`#include "viennacl/forwards.h"`

Go to the source code of this file.

## Namespaces

| viennacl
| Main namespace in ViennaCL. Holds all the basic types such as vector, matrix, etc. and defines operations upon them.
| viennacl::linalg
| Provides all linear algebra operations which are not covered by operator overloads.
| viennacl::linalg::detail
| Namespace holding implementation details for linear algebra routines. Usually not of interest for a library user.
| viennacl::linalg::detail::spai
| Implementation namespace for sparse approximate inverse preconditioner.

## Functions

template<typename MatrixT >
void | viennacl::linalg::detail::spai::make_rotation_matrix (MatrixT &mat, vcl_size_t new_size, vcl_size_t off_diagonal_distance=4)
template<typename MatrixT >
double | viennacl::linalg::detail::spai::determinant (boost::numeric::ublas::matrix_expression< MatrixT > const &mat_r)

## Detailed Description

Implementation of a routines for small matrices (helper for SPAI). Experimental.

SPAI code contributed by Nikolay Lukash

Definition in file small_matrix.hpp.